Topic: SSL problems

howsmyssl.com reports multiple problems with Epic SSL:

Your client supports cipher suites that are known to be insecure:
TLS_ECDHE_ECDSA_WITH_RC4_128_SHA: This cipher use RC4 which has insecure biases in its output.
TLS_ECDHE_RSA_WITH_RC4_128_SHA: This cipher use RC4 which has insecure biases in its output.
TLS_RSA_WITH_RC4_128_MD5: This cipher use RC4 which has insecure biases in its output.
TLS_RSA_WITH_RC4_128_SHA: This cipher use RC4 which has insecure biases in its output.

Current versions of Chrome and Firefox do not show these security issues.

My Epic version is 40.0.2214.91. Is an update available?

And, since the last activity here seems to be from August, is Epic still under development, or has it folded?

Re: SSL problems

Start epic with this command line parameter

"epic.exe" --cipher-suite-blacklist=0x0033,0x0039,0x009E,0xcc15,0xc011,0xc007,0x0005,0x0004